Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2018-12-01 15:41:43 +0300
committerJunio C Hamano <gitster@pobox.com>2018-12-01 15:41:43 +0300
commit97b6d63717b9e9e9daa75c3ab84e119de8291f14 (patch)
treed1fa4081cbf3dfd86e9a768bcd56327cde06f1b4 /t
parent1efd0e8437d663fdb422a3b5aacf3adf76a7cdc5 (diff)
parent4c2eb06419e95554b3530c618b55c5cdc687f621 (diff)
Merge branch 'sg/daemon-test-signal-fix'
Test fix. * sg/daemon-test-signal-fix: t/lib-git-daemon: fix signal checking
Diffstat (limited to 't')
-rw-r--r--t/lib-git-daemon.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/lib-git-daemon.sh b/t/lib-git-daemon.sh
index edbea2d986..f98de95c15 100644
--- a/t/lib-git-daemon.sh
+++ b/t/lib-git-daemon.sh
@@ -92,7 +92,7 @@ stop_git_daemon() {
kill "$GIT_DAEMON_PID"
wait "$GIT_DAEMON_PID" >&3 2>&4
ret=$?
- if test_match_signal 15 $?
+ if ! test_match_signal 15 $ret
then
error "git daemon exited with status: $ret"
fi